# PetscStrcpy

Copies a string

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscStrcpy(char s[],const char t[])

Not Collective

### Input Parameters

t -pointer to string

### Output Parameter

s -the copied string

### Note

Null string returns a string starting with zero

### See Also

PetscStrncpy(), PetscStrcat(), PetscStrncat()

Level:intermediate
Location: src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex29.c.html